"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addRNStartScriptToPjson = void 0;
const ern_core_1 = require("ern-core");
async function addRNStartScriptToPjson({ cwd }) {
    var _a;
    const packageJson = await (0, ern_core_1.readPackageJson)(cwd);
    packageJson.scripts = (_a = packageJson.scripts) !== null && _a !== void 0 ? _a : {};
    packageJson.scripts.start =
        'node node_modules/react-native/local-cli/cli.js start';
    await (0, ern_core_1.writePackageJson)(cwd, packageJson);
}
exports.addRNStartScriptToPjson = addRNStartScriptToPjson;
//# sourceMappingURL=addRNStartScriptToPjson.js.map