"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.cleanupCompositeDir = void 0;
const fs_extra_1 = __importDefault(require("fs-extra"));
const path_1 = __importDefault(require("path"));
async function cleanupCompositeDir(dir) {
    const filesAndDirsToRemove = [
        '.babelrc',
        'index.android.js',
        'index.ios.js',
        'index.js',
        'node_modules',
        'package.json',
        'yarn.lock',
    ].map((p) => path_1.default.join(dir, p));
    for (const p of filesAndDirsToRemove) {
        await fs_extra_1.default.remove(p);
    }
}
exports.cleanupCompositeDir = cleanupCompositeDir;
//# sourceMappingURL=cleanupCompositeDir.js.map