"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRNCliConfig = void 0;
const fs_extra_1 = __importDefault(require("fs-extra"));
const path_1 = __importDefault(require("path"));
async function createRNCliConfig({ cwd }) {
    const sourceExts = "module.exports = { resolver: { sourceExts: ['jsx', 'js', 'ts', 'tsx', 'mjs'] } };";
    await fs_extra_1.default.writeFile(path_1.default.join(cwd, 'rn-cli.config.js'), sourceExts);
}
exports.createRNCliConfig = createRNCliConfig;
//# sourceMappingURL=createRNCliConfig.js.map