"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addRNDepToPjson = void 0;
const ern_core_1 = require("ern-core");
async function addRNDepToPjson(dir, version) {
    const compositePackageJson = await (0, ern_core_1.readPackageJson)(dir);
    compositePackageJson.dependencies['react-native'] = version;
    return (0, ern_core_1.writePackageJson)(dir, compositePackageJson);
}
exports.addRNDepToPjson = addRNDepToPjson;
//# sourceMappingURL=addRNDepToPjson.js.map