"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.installExtraPackages = void 0;
const ern_core_1 = require("ern-core");
async function installExtraPackages({ cwd, extraJsDependencies, }) {
    ern_core_1.shell.pushd(cwd);
    try {
        for (const extraJsDependency of extraJsDependencies || []) {
            await ern_core_1.yarn.add(extraJsDependency);
        }
    }
    finally {
        ern_core_1.shell.popd();
    }
}
exports.installExtraPackages = installExtraPackages;
//# sourceMappingURL=installExtraPackages.js.map